## visad
Class ThingChangedEvent

    java.lang.Object
      java.awt.Event
          visad.ThingChangedEvent

All Implemented Interfaces:
  Serializable

public class ThingChangedEvent
extends Event

ThingChangedEvent is the VisAD class for changes in objects (usually Data objects) referred to by ThingReference objects. They are sourced by ThingReference objects and received by Action objects.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.awt.Event

`ACTION_EVENT, ALT_MASK, arg, BACK_SPACE, CAPS_LOCK, clickCount, CTRL_MASK, DELETE, DOWN, END, ENTER, ESCAPE, evt, F1, F10, F11, F12, F2, F3, F4, F5, F6, F7, F8, F9, GOT_FOCUS, HOME, INSERT, key, KEY_ACTION, KEY_ACTION_RELEASE, KEY_PRESS, KEY_RELEASE, LEFT, LIST_DESELECT, LIST_SELECT, LOAD_FILE, LOST_FOCUS, META_MASK, modifiers, MOUSE_DOWN, MOUSE_DRAG, MOUSE_ENTER, MOUSE_EXIT, MOUSE_MOVE, MOUSE_UP, NUM_LOCK, PAUSE, PGDN, PGUP, PRINT_SCREEN, RIGHT, SAVE_FILE, SCROLL_ABSOLUTE, SCROLL_BEGIN, SCROLL_END, SCROLL_LINE_DOWN, SCROLL_LINE_UP, SCROLL_LOCK, SCROLL_PAGE_DOWN, SCROLL_PAGE_UP, SHIFT_MASK, TAB, target, UP, when, WINDOW_DEICONIFY, WINDOW_DESTROY, WINDOW_EXPOSE, WINDOW_ICONIFY, WINDOW_MOVED, x, y`

Constructor Summary
`ThingChangedEvent(long jd, long tick)`

Method Summary
`long` `getId()`
`long` `getTick()`

Methods inherited from class java.awt.Event
`controlDown, metaDown, paramString, shiftDown, toString, translate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ThingChangedEvent

    public ThingChangedEvent(long jd,
                             long tick)

Method Detail

### getId

    public long getId()

### getTick

    public long getTick()